package cn.com.qmth.examcloud.starters.face.verify.service;

import cn.com.qmth.examcloud.starters.face.verify.model.FaceResult;
import cn.com.qmth.examcloud.starters.face.verify.model.param.FaceParam;

public interface FaceVerifyService {

    /**
     * 人脸真实性检测
     */
    FaceResult faceVerify(FaceParam faceParam);

    /**
     * 人脸识别
     */
    FaceResult faceDetect(FaceParam faceParam);

    /**
     * 人脸比对
     */
    FaceResult faceCompare(FaceParam faceParam);

}